Module jdk.jshell
Package jdk.jshell

## Class TypeDeclSnippet

- java.lang.Object
- - jdk.jshell.Snippet
  - - jdk.jshell.PersistentSnippet
    - - jdk.jshell.DeclarationSnippet
      - - jdk.jshell.TypeDeclSnippet

-     public class TypeDeclSnippet
      extends DeclarationSnippet

  Snippet for a type definition (a class, interface, enum, or annotation interface definition). The Kind is `Snippet.Kind.TYPE_DECL`.

  `TypeDeclSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jdk.jshell.Snippet

      `Snippet.Kind, Snippet.Status, Snippet.SubKind`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class jdk.jshell.PersistentSnippet

      `name`

    - ### Methods inherited from class jdk.jshell.Snippet

      `id, kind, source, subKind, toString`